<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Globe',
});
</script>

<template>
  <div class="animated-hero-globe">
    <nuxt-img
      width="423"
      height="423"
      src="/nuxt-images/developer-survey/globe.png"
      alt="globe"
      class="animated-hero-globe__globe"
      format="webp"
      quality="99"
    />
    <nuxt-img
      width="422"
      height="422"
      src="/nuxt-images/developer-survey/branches.png"
      alt="branches"
      class="animated-hero-globe__branches"
      format="webp"
      quality="99"
    />
  </div>
</template>

<style lang="scss" scoped>
.animated-hero-globe {
  position: relative;
  margin: 0 auto;
  backface-visibility: hidden;
  perspective: 1000;
  &::before {
    content: '';
    background: radial-gradient(
      35.36% 35.36% at 50% 50%,
      rgba(23, 19, 33, 0.9) 70%,
      rgba(23, 19, 33, 0.3) 100%
    );
    border-radius: 100%;
    width: 135%;
    height: 135%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
  }
  svg {
    width: 100%;
    height: 100%;
  }

  img {
    width: 100%;
    height: auto;
  }
  &__bck {
    position: absolute;
    top: 0;
    left: 0;
  }
  &__globe {
    mix-blend-mode: color-dodge;
  }
  &__branches {
    mix-blend-mode: color-dodge;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
  }
}
</style>
